GNU bug report logs - #33272
guix refresh/download backtrace error when missing nss-certs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: swedebugia <swedebugia@HIDDEN>; dated Mon, 5 Nov 2018 11:17:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 33272 <at> debbugs.gnu.org:


Received: (at 33272) by debbugs.gnu.org; 6 Nov 2018 17:36:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 06 12:36:53 2018
Received: from localhost ([127.0.0.1]:37582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gK5HY-0008P8-QG
	for submit <at> debbugs.gnu.org; Tue, 06 Nov 2018 12:36:52 -0500
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:52821)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gK5HX-0008Ov-Qq
 for 33272 <at> debbugs.gnu.org; Tue, 06 Nov 2018 12:36:52 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id AFDDD22362;
 Tue,  6 Nov 2018 12:36:46 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Tue, 06 Nov 2018 12:36:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=C9uLIrab+94T9Q7mJiLtYfpF
 ILOkb2tcOK3R+F5JPkg=; b=cIu1rXg2yoe+nkQ5S1qdTz652lHAfImyedvdvg2N
 VFaTnZBAZyIl4PHCNr1TX1F3hHup5Dj+zrg8soCPbjSJAMS3wR7scFOuvqCKD7JA
 IbLUjjCI9zgQCbp2bJKkQLv1KouNAyMAKi+EBCUix2TSG5EVLOLZ0deELlNOahzk
 f3I=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=C9uLIr
 ab+94T9Q7mJiLtYfpFILOkb2tcOK3R+F5JPkg=; b=s+NCuTZLK2RaCO3De2OWV8
 inPUS9miSBMdB+fE+HIybJMLf2lHiw1tsxOsVH5VC59TMtPzUFyqDfU3WL40HZcB
 uV09QnyRKkIQp5f5fGCruGY1dJcX4oQh7Mkxr7ZI3oZYX7aMTjRSqS2uMQDv1Pz7
 sv/to8jiqmzsDc4tZ+UIXFt5mslXplvUVQDGWAwC4qs4DQVCw9PiaJJiHEW9RIZ6
 xAJNp6j8jRiqEz2U9Nh90dy7xQtj2aQTs3zVUsaNtWpfd8Xj3+YXEkisalqza1La
 AqvU7VgD6dt+N53j3OwaL0WYbkwrtRKolQNB12QcbolxfZGkwCLWN02lHicMMkOQ
 ==
X-ME-Sender: <xms:K9HhW6G850pMM91aH43kz57lAh7l4pGyuREgQnnv301CFDbrLg0N2g>
X-ME-Proxy: <xmx:K9HhW68wKEAcVwrGDXHCce0TX500QTbJEd5aOEtVbWVJlWbzwInVTA>
 <xmx:K9HhW8qiR2qtkEUr5ypnYj-Qw5lD9-iSmi0bZHR5r_zb3R30Q-WAWg>
 <xmx:K9HhW6a_f4rVrP02CKNgK4j2hYXnevDM7-XEefzVP0Ytszw-hniuSw>
 <xmx:K9HhW_zjDUM_avuKX6To5zjOmS-dmiNFLzrtLQ0brrbOmijEv6Yh4w>
 <xmx:K9HhW-N7obVtV4l9Fg7waBcA0e7_G39y3XazrDTmuIVmWRYNjR9h4A>
 <xmx:LtHhWwJZDFGb-8wLR4_Zzeq6FozkmTlKmtDvzIy8zxfNfZYJDaRE5g>
Received: from localhost (pool-71-105-200-72.nycmny.fios.verizon.net
 [71.105.200.72])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1C7F6E476E;
 Tue,  6 Nov 2018 12:36:43 -0500 (EST)
Date: Tue, 6 Nov 2018 12:36:42 -0500
From: Leo Famulari <leo@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: bug#33272: guix refresh/download backtrace error when missing
 nss-certs
Message-ID: <20181106173642.GC3232@HIDDEN>
References: <c3452987-de4e-fc70-ef01-c0c717141561@HIDDEN>
 <20181105202650.GB19298@HIDDEN>
 <f700a2d4-7f80-e342-ce84-20a38add0f83@HIDDEN>
 <20181105204802.GD19298@HIDDEN>
 <a76aa405-f804-587c-85c9-ff6cbc4f5835@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="xo44VMWPx7vlQ2+2"
Content-Disposition: inline
In-Reply-To: <a76aa405-f804-587c-85c9-ff6cbc4f5835@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33272
Cc: 33272 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--xo44VMWPx7vlQ2+2
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

On Tue, Nov 06, 2018 at 12:42:07PM +0100, swedebugia wrote:
> Thank you for the tips. This sounds too complicated for me to bite at my
> current skill level.

Perhaps, but you may be surprised what you can achieve with a few hours
of focused reading and trial-and-error experimentation. If you find the
time and motivation I recommend you give it a shot!

--xo44VMWPx7vlQ2+2
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlvh0SoACgkQJkb6MLrK
fwjVWhAAsdP9TF5CltUpC7grJHUJSKDvRmDwMhlsh6OSHpYsAvgjLPCKzdTwghH9
EU/j5j/XLKkwzacR4V3OIFnA8b8Xee2QlTL3n+jmnk0DL1crng60zNcUFM6kaZk2
mkym6W1BLhmLN7IwoSVuy+dwI0yDHoRX1xd6vpyj4eaWdhvFObhn18z0MfRKjhsb
NmXbRN74o2eRcAxuhYqSAKXN4qDh0XipzGruJfEgzgjZcKjCmcQwRR7R+H32Nao+
7SuXODNs0Txyz8ObsOtaOv5nxtfcfrbKWpIu7/JiimTeZT2AVXGNk2NrwwNR/LdL
Dd4fkygnLp6Xdn5KanLX29D+imysNAx1eArPYL1rRtJKTLzQBCxBB7H4x5z1qxFA
Wc6egWWWp/LryOYY0jW8LbRpk52ezFtF/x+kCEHOYe6xMMjkmOASa6bNqZe7oGtw
2ZJagbwlgC7K5q62p+9+4cu2sf4mNcio5uvHLx6vDWS0Dmljw/lYieW6GDZVdEig
ETdTh0qf1S5BUzgP5G9UB4UdU/4jkcztCXWzLjSOmwlojWVIX1s5TuoFuSCppahG
IqK8kyx0t4tQN3NNSX5HiwYRc8VUmLdJFt83Gpq24chUSRhdkCjVp/RG1erJi15j
dAGD7pnfpAvNSJOhZ4JpDuFsa056YfazCQt2n+8BYj1VRLSxy+0=
=RpiR
-----END PGP SIGNATURE-----

--xo44VMWPx7vlQ2+2--




Information forwarded to bug-guix@HIDDEN:
bug#33272; Package guix. Full text available.

Message received at 33272 <at> debbugs.gnu.org:


Received: (at 33272) by debbugs.gnu.org; 6 Nov 2018 11:36:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 06 06:36:37 2018
Received: from localhost ([127.0.0.1]:36092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJzet-0001M4-Ac
	for submit <at> debbugs.gnu.org; Tue, 06 Nov 2018 06:36:37 -0500
Received: from mx1.riseup.net ([198.252.153.129]:37282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gJzer-0001Lw-Df
 for 33272 <at> debbugs.gnu.org; Tue, 06 Nov 2018 06:36:33 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 61B6F1A0A50;
 Tue,  6 Nov 2018 03:36:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1541504192; bh=Bh10GJELu21ZjBM6Wap8ufmFkwEzIXKBPgUKJNb4SmY=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=fZCuxvGm9/U4m8Z30+9TAsdW00RjnJ1VQ/UATOOlF2v8loV1HDDJxvNZykzUV6HPh
 g53IYKrUoV9n0GXqQ6QkAPneVawUNIVvoh1w6nqaw2IS9ei8ySycwTRcBL5gP3yGQk
 a0fy62WijUIWeU6ySz5nysOaPzQf3oMIuWAi6QsY=
X-Riseup-User-ID: F675BB5DBA5DEF2D08DA1E46F6BC166574C7AC9909DB902DF5AD42C4AFD3CEB4
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id 8B14AE74AB;
 Tue,  6 Nov 2018 03:36:29 -0800 (PST)
Subject: Re: bug#33272: guix refresh/download backtrace error when missing
 nss-certs
To: Leo Famulari <leo@HIDDEN>
References: <c3452987-de4e-fc70-ef01-c0c717141561@HIDDEN>
 <20181105202650.GB19298@HIDDEN>
 <f700a2d4-7f80-e342-ce84-20a38add0f83@HIDDEN>
 <20181105204802.GD19298@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <a76aa405-f804-587c-85c9-ff6cbc4f5835@HIDDEN>
Date: Tue, 6 Nov 2018 12:42:07 +0100
MIME-Version: 1.0
In-Reply-To: <20181105204802.GD19298@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: sv-FI
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33272
Cc: 33272 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi

On 2018-11-05 21:48, Leo Famulari wrote:
> On Mon, Nov 05, 2018 at 09:39:15PM +0100, swedebugia wrote:
>> How do we catch the error?
> I am basically a novice Schemer still, so you will have to figure out
> most of this on your own, unless someone else brings more advice :)

Me too

> In general, dealing with exceptions in Guile:
>
> https://www.gnu.org/software/guile/manual/html_node/Exceptions.html
>
> There are lots of examples of how to use those mechanisms in the Guix
> source code — the error message in your original email comes from a
> caught exception in (guix build download).
>
> You'll need to find out what is crashing and generating the backtrace,
> and then decide what counts as a failure mode that we want to catch in
> that context.
Thank you for the tips. This sounds too complicated for me to bite at my 
current skill level.

-- 
Cheers
Swedebugia





Information forwarded to bug-guix@HIDDEN:
bug#33272; Package guix. Full text available.

Message received at 33272 <at> debbugs.gnu.org:


Received: (at 33272) by debbugs.gnu.org; 5 Nov 2018 20:48:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 15:48:12 2018
Received: from localhost ([127.0.0.1]:35713 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJln9-0002qT-VN
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 15:48:12 -0500
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:33847)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gJln8-0002qH-JC
 for 33272 <at> debbugs.gnu.org; Mon, 05 Nov 2018 15:48:11 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id A648D1266;
 Mon,  5 Nov 2018 15:48:04 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Mon, 05 Nov 2018 15:48:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=WtGMS2nKvhFxBhC386Hi0NmG
 vKgvdFPVn5BGyM4nC94=; b=D478sAJEm/Q+QL0wL1viv7/TEaySYCFmuNpxkgWx
 DsFkQIm8a2kH8NCHgECwMMUCzfQC5lm+ojTgHpyo6YzH/0qrp4tCheJRC0pRsiHz
 0fiFgFsyo8MSljtkVAc0bvt5LrZZDKfAVLN+funuyJripyi7GxbRrHsoxG53FvTC
 bGE=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=WtGMS2
 nKvhFxBhC386Hi0NmGvKgvdFPVn5BGyM4nC94=; b=DhY8j/k3zGDuKLG/0IDPgt
 KkfVyAhDJP2hTbX9WrKHaTstHlqs/Sk/4ujyaIEGo/VbW6Bldq1Vk5UlHP12B870
 izC+FWSDPIunokDnYqUqE1HdIx32SZZcBUjJCSKXT6AcRwmJb2Zxng2+9mQu+ZR6
 629gf+iYcwKBmT5OtG5Eh4eq0hamLrLTOanVwJ4nhTUVha1jI9ciW9JF3TvUy5MI
 ilVygTmqQ0scRo0e438i3eK7GF74IUDYGmrmgZCp0INwSVQoWO51LeSlp3lZKhOw
 u2rpB+XapMy3rKx8j7TWym86jjbMqhyLoWmNc47dmBRajmhrw9FlU0N6299kEX8g
 ==
X-ME-Sender: <xms:g6zgW3mAVGdt3acq6VoBCTZk_5a6FlN11kDrHND4-cI7YEBV_wW67A>
X-ME-Proxy: <xmx:g6zgW6_FqEoAMIJb_Zat0iv7ijlUSilEiPLMdj2Fi989id9GAzKQsw>
 <xmx:g6zgW8K3uhyuxYMe-ADwNBa9JUWmG2Poqs1nZu9D-J5CkFK-bCoXvA>
 <xmx:g6zgW7bBJsQFiK08dcKDfesYBcRt_kQ1neiry82G51qe6Q2fUzuLSg>
 <xmx:g6zgW_jysNgsoUiKv_2aaKww25QlmPLfhKaLnB-b5wbN8zzU7Pbxag>
 <xmx:g6zgWw4bFMez-45ZMSO7uJxE3B0ErluGo6H9Y5g_Yv5lohcEYyhvIg>
 <xmx:hKzgW-xy8Ydln6uwmhe5MTGPZGujq9Yd0bufHu6ybv-oUfkVv0ltWg>
Received: from localhost (unknown [172.58.233.155])
 by mail.messagingengine.com (Postfix) with ESMTPA id 6B3A1E40E6;
 Mon,  5 Nov 2018 15:48:03 -0500 (EST)
Date: Mon, 5 Nov 2018 15:48:02 -0500
From: Leo Famulari <leo@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: bug#33272: guix refresh/download backtrace error when missing
 nss-certs
Message-ID: <20181105204802.GD19298@HIDDEN>
References: <c3452987-de4e-fc70-ef01-c0c717141561@HIDDEN>
 <20181105202650.GB19298@HIDDEN>
 <f700a2d4-7f80-e342-ce84-20a38add0f83@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="qGV0fN9tzfkG3CxV"
Content-Disposition: inline
In-Reply-To: <f700a2d4-7f80-e342-ce84-20a38add0f83@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33272
Cc: 33272 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--qGV0fN9tzfkG3CxV
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Nov 05, 2018 at 09:39:15PM +0100, swedebugia wrote:
> How do we catch the error?

I am basically a novice Schemer still, so you will have to figure out
most of this on your own, unless someone else brings more advice :)

In general, dealing with exceptions in Guile:

https://www.gnu.org/software/guile/manual/html_node/Exceptions.html

There are lots of examples of how to use those mechanisms in the Guix
source code =E2=80=94 the error message in your original email comes from a
caught exception in (guix build download).

You'll need to find out what is crashing and generating the backtrace,
and then decide what counts as a failure mode that we want to catch in
that context.

--qGV0fN9tzfkG3CxV
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlvgrIIACgkQJkb6MLrK
fwhSxxAAltxSMyI6uq4FJ3LwFgr55ZNxGWLPGfVw8T/IVkB+86J2ZzaYDR1mADRZ
67Luqu4wqUrzWKbN/0XabZnuGpniyinIJuU+V/uxgynmfY/SeU8PKwseh+zHaKTd
TYBpF4oqa69IepDXjflepL3839PpRrjgX0KUTq2lSGMjfeBKJsrWSWI9q++FG6Y3
PfBKUPPLpDZ5zXZIumsnegqleQeGd8tRUU2UPFwCPEd0lJ2b0X4oob6+JLiGWzGh
IcGdHVBnJCVnCcA16eUUTZufDn4pWOYVOhalIQkXaaWybtSfJAXPUgGA+ZwCamxG
b4jK5XxTyTUZyiDsRcmpggibrZDrEP1j8VtMKLBWvZG/+r6IeB8U34/wwc8hlOAA
NzcaCmb2uzxsEkuTtNhadgv78gIdyvMKWahHSMpnM7P9hwFnA1JRVq3mnOxytqeR
OiuhCKATBSGCgYT9aqQAgHifzimHjw7DxDmmhjULOXwiDlKd4zk6CvjeEk6+QfUl
NeQ1H9sBaFLhqBPG6r7tVbE9SMXOO7OceUuBKljdoK+U/1PiiEoYbJ2c8F+DeFHU
Ke3djrHVq1sXp05PCt3t5bmRYgyBLw7ug2oxvMODydT2haZLICpwe4/y+R8IvUHN
nwKBrix0SX1jF/BxPkRuDDhQcuYyi6TezqDwfqHiDhPKqcPDYVA=
=1+gX
-----END PGP SIGNATURE-----

--qGV0fN9tzfkG3CxV--




Information forwarded to bug-guix@HIDDEN:
bug#33272; Package guix. Full text available.

Message received at 33272 <at> debbugs.gnu.org:


Received: (at 33272) by debbugs.gnu.org; 5 Nov 2018 20:39:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 15:39:21 2018
Received: from localhost ([127.0.0.1]:35696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJleb-0002ca-Mh
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 15:39:21 -0500
Received: from mx1.riseup.net ([198.252.153.129]:40683)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gJleZ-0002cS-Tm
 for 33272 <at> debbugs.gnu.org; Mon, 05 Nov 2018 15:39:20 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id D8E4E1A0A27;
 Mon,  5 Nov 2018 12:39:18 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1541450358; bh=YHnSVck4EeVUUQWLpnRuSGgTiVXdc2XLLM6OlfdZYLU=;
 h=Subject:To:References:From:Date:In-Reply-To:From;
 b=RgeqmX9+/Z49uRZ3FFSz0ZmaOEI4k16JWqf25YuylLbTnebk/ELKT8OpemHvXv9As
 qCshQL2FpKSS4KbhP6kiFflxSZ35gKjHFuvDpgIL2+dnCqyHcxYjH+pBfEoSA6epm3
 Sg7RDdKdRf+CiKEC6O0aFaDO4Af99bsE0ksNBmmA=
X-Riseup-User-ID: EFA96BE81A5AC64BBA4475298DD9413F3FB7D2445BDA0433852EA035605FC807
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 0EB2E64A5C;
 Mon,  5 Nov 2018 12:39:17 -0800 (PST)
Subject: Re: bug#33272: guix refresh/download backtrace error when missing
 nss-certs
To: Leo Famulari <leo@HIDDEN>, 33272 <at> debbugs.gnu.org
References: <c3452987-de4e-fc70-ef01-c0c717141561@HIDDEN>
 <20181105202650.GB19298@HIDDEN>
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <f700a2d4-7f80-e342-ce84-20a38add0f83@HIDDEN>
Date: Mon, 5 Nov 2018 21:39:15 +0100
MIME-Version: 1.0
In-Reply-To: <20181105202650.GB19298@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33272
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi

On 2018-11-05 21:26, Leo Famulari wrote:
> On Mon, Nov 05, 2018 at 12:16:08PM +0100, swedebugia wrote:
> IMO a better solution is to catch the error and print an informative
> message. Already, the error message at the end is coming from Guix, but
> we should hide the backtrace and add a hint towards a solution.
>
> I think handling the TLS error gracefully is orthogonal to whether or
> not nss-certs is installed.
Agreed.
>
> There are other X.509 certificate collections available on the systems
> that Guix supports, and even some Guix packages use their own
> collections. Also, programs that need to look up certificates tend to
> find them via environment variables, so if one wanted to use nss-certs,
> it's not enough just to install it.
>
> https://www.gnu.org/software/guix/manual/en/html_node/X_002e509-Certificates.html

Sounds like a good idea.

How do we catch the error?

-- 
Cheers
Swedebugia





Information forwarded to bug-guix@HIDDEN:
bug#33272; Package guix. Full text available.

Message received at 33272 <at> debbugs.gnu.org:


Received: (at 33272) by debbugs.gnu.org; 5 Nov 2018 20:27:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 15:27:02 2018
Received: from localhost ([127.0.0.1]:35675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJlSf-0002Ii-Ql
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 15:27:02 -0500
Received: from wout1-smtp.messagingengine.com ([64.147.123.24]:37237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gJlSd-0002IN-Fg
 for 33272 <at> debbugs.gnu.org; Mon, 05 Nov 2018 15:27:00 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id A69F11483;
 Mon,  5 Nov 2018 15:26:53 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Mon, 05 Nov 2018 15:26:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=WH/FOVX9uKaEKZeG1Oy6NCzx
 BwOitf1VzXRMDtf6T+w=; b=dpS51R6vUSiTs9l7czwvWcaCDj84FPm8+l2uEO+e
 P1U1cn+ODafhSZAze/yXgpHeijUPWqhmRhdmXOv1A7yMmoes+9xB7RDGskn8KLsY
 GrW/ck3dTy1nGep4oo+K54slyyX17I9hajmda3a8YXjLaO/GchMekJ2aUCcq+R0t
 p7M=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=WH/FOV
 X9uKaEKZeG1Oy6NCzxBwOitf1VzXRMDtf6T+w=; b=KKnYtJB4U+beAdpAakUG+7
 xlFUb1+WwqfvwUaZCZSNgQZrxci4b/iRDTd4OASivH7U3nQfuDLNkU4mBy5G5XA1
 EvIEObhpoyY/iwyyjTx4cBtEura4uRcyyzlyJgMvKjsYw5tYjaWmmvdc93rnSuCF
 Hic77RocZvDfeffwm82kgF03ePGh4q18KGIynyttv5U1uJu1QVrHpAsdPRpzUMlN
 GetfTyW7H5WpN7W9jZ93IGl8urdNQtC9m/PFJK8x2jagsX8FIcV6+LhEPX2BEb9z
 uiRQZmxMuD3qwkjqv3ENfqmyoCBA+ODY8EbkqhXU3vP9JwgHBnk33S1VnolsBKAg
 ==
X-ME-Sender: <xms:jKfgW9KUuxZmWexpE9D7wWYAlKfatnHn8onO_7urpRR1Gzh1sn8aug>
X-ME-Proxy: <xmx:jKfgW0DOucFXkKidB6T8_OKExYCQGZw4gXiILqn0Rg0Kgy1rhgO-yw>
 <xmx:jKfgW8XoED4kzqjJaCk1UqQqnDIOZksvy855mAERDGZU6lRAjA108w>
 <xmx:jKfgW5ovYi_VaWqUKTgxa2eG5tpjKyf7nl561_GAqqrR_AFk0Aut2w>
 <xmx:jKfgWzW3K8QtTE1QQcphXA3kCApsxpGEasEd606RDneKQq1iLarFeQ>
 <xmx:jKfgW4avwArESydKRkiR0Ev6dIS9m25xRXD7wJnktjN_8QwrkSEE3A>
 <xmx:jafgWwOGAfikOVPjZqvJ0zrLSxXOeQhorII7Jv8968XSpyubydOhxg>
Received: from localhost (unknown [172.58.201.113])
 by mail.messagingengine.com (Postfix) with ESMTPA id 6A229102ED;
 Mon,  5 Nov 2018 15:26:51 -0500 (EST)
Date: Mon, 5 Nov 2018 15:26:50 -0500
From: Leo Famulari <leo@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: bug#33272: guix refresh/download backtrace error when missing
 nss-certs
Message-ID: <20181105202650.GB19298@HIDDEN>
References: <c3452987-de4e-fc70-ef01-c0c717141561@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="SkvwRMAIpAhPCcCJ"
Content-Disposition: inline
In-Reply-To: <c3452987-de4e-fc70-ef01-c0c717141561@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33272
Cc: 33272 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--SkvwRMAIpAhPCcCJ
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Nov 05, 2018 at 12:16:08PM +0100, swedebugia wrote:
> I suggest we change it to fail nicely. I am willing to create a patch. Wo=
uld
> somebody be willing to mentor me?
>=20
> As a start:
>=20
> How do I check if nss-certs is installed?
>=20
> This is the first thing we should do when handling https-URIs
>=20
> (define tls-wrap is a quite complicated procedure, maybe an extra (if at =
the
> body (of the let) will do?
>=20
> something like
>=20
> (if package-available? nss-certs
>=20
> =A0=A0=A0 true; continue
>=20
> =A0=A0=A0 false-> error nicely

IMO a better solution is to catch the error and print an informative
message. Already, the error message at the end is coming from Guix, but
we should hide the backtrace and add a hint towards a solution.

I think handling the TLS error gracefully is orthogonal to whether or
not nss-certs is installed.

There are other X.509 certificate collections available on the systems
that Guix supports, and even some Guix packages use their own
collections. Also, programs that need to look up certificates tend to
find them via environment variables, so if one wanted to use nss-certs,
it's not enough just to install it.

https://www.gnu.org/software/guix/manual/en/html_node/X_002e509-Certificate=
s.html

--SkvwRMAIpAhPCcCJ
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlvgp4oACgkQJkb6MLrK
fwinqw/+Ni6+Kgbx2g+brP2DLqfobOWFRfSnnDCDqyeVWWUXpdFcdI2rYpP79n6v
fBVh/XrM3Wx7Ey3TnEs5SX4glmmmoSErpbynNWwJvyqkAWP5mb7+ZXx0Z7DYOPlk
VHAc5AeZARLW1/XKDc+6StS63BwTRZdq79Qas4Ys3HLTHSND3e9hZMbXcoAeQS41
zpyI/PEsqo9URUcABxY4u/nUl0pPnCX/RJr7rz0IADVY9kgy3+G0TepNLGc0woyN
DTEvcFnVzbC1yhETil89Hz3xdXFtpBtRXbbH2pLsNsaX2Z+9/sZx5H2WcD1hmB5f
KhoAKxBD7e/4L+ifIuT8ovwiT8lOINi+9IoM0kgrCRoBPghANrCO0YO+vAPgGpi3
s37zeZOgR3PYhz/6kwlgeqa0RQgK22r5UF02zL/gWehlFLcY3KmWYEQMthBey82Y
4AZl1U60bF0kLQ505HDsOyDeSL/8LcVLRyydo8DR64GzXHIVDo6oAR91KlTtXCuW
pZLA1EF1ZR+Cose++srKFbjAOC5nd2LXPW93wfN3VsLgH5UZg3blHbo7KqgMspcg
XvTPf7MmKx2btlHGpK9oMQA7FtGhAT6zbeuDPABzUzXp4DWEzmqiLdRyUDxjlCOP
zNS+Vnx2/8hJmgAqf3sR05C+IXpjsP1jOeECAEkz9+dYqvFscQQ=
=Q6NI
-----END PGP SIGNATURE-----

--SkvwRMAIpAhPCcCJ--




Information forwarded to bug-guix@HIDDEN:
bug#33272; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Nov 2018 11:16:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 05 06:16:46 2018
Received: from localhost ([127.0.0.1]:34643 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gJcs8-0003gr-PH
	for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 06:16:46 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60263)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gJcs6-0003gf-QU
 for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 06:16:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gJcru-0002Ej-R7
 for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 06:16:36 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55154)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gJcrs-0001iV-6B
 for submit <at> debbugs.gnu.org; Mon, 05 Nov 2018 06:16:28 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41606)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gJcrl-0004mb-Ux
 for bug-guix@HIDDEN; Mon, 05 Nov 2018 06:16:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gJcrh-0008L7-92
 for bug-guix@HIDDEN; Mon, 05 Nov 2018 06:16:21 -0500
Received: from mx1.riseup.net ([198.252.153.129]:43505)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gJcrc-0007Nm-V9
 for bug-guix@HIDDEN; Mon, 05 Nov 2018 06:16:13 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id D308F1A04CC
 for <bug-guix@HIDDEN>; Mon,  5 Nov 2018 03:16:10 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1541416570; bh=evTKbbAaWdwDr5lHSoB0J7/+uPpuvVj8lNtoFUlL3Sg=;
 h=To:From:Subject:Date:From;
 b=VDAjWkJAFyh4iNWaR4cSjLAFNC+5QpWzqnEsng/oKICZe6IHnaeI9k22+8iBMJSXj
 66Cn/lIS9uDk7d8qVg8XCI7wztFP/mwlP9BEFOGckU8IBYmAOb4wv81fD5yVB3Mfif
 aDeTmEmfHlIeusyzVyquY3qc3dI+y9qv1GJ3tiKQ=
X-Riseup-User-ID: 43DD8809ED7109DABA4695A3A3C995025E92901191EAFDBD659548C27278F330
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 20C351EFA12
 for <bug-guix@HIDDEN>; Mon,  5 Nov 2018 03:16:09 -0800 (PST)
To: bug-guix@HIDDEN
From: swedebugia <swedebugia@HIDDEN>
Subject: guix refresh/download backtrace error when missing nss-certs
Message-ID: <c3452987-de4e-fc70-ef01-c0c717141561@HIDDEN>
Date: Mon, 5 Nov 2018 12:16:08 +0100
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

In a qemu VM based on the image for 0.15 and pulled once I get:

sdb@komputilo ~$ git clone https://git.savannah.gnu.org/git/guix.git test
Cloning into 'test'...
fatal: unable to access 'https://git.savannah.gnu.org/git/guix.git/':=20
Problem with the SSL CA cert (path? access rights?)

fails nicely in contrast to:

sdb@komputilo ~$ guix refresh artanis
Backtrace:
 =C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 13 (primitive-loa=
d "/home/sdb/.config/guix/current/bin/guix")
In guix/ui.scm:
 =C2=A0 1578:12 12 (run-guix-command _ . _)
In ice-9/boot-9.scm:
 =C2=A0=C2=A0=C2=A0 829:9 11 (catch srfi-34 #<procedure 28dd540 at guix/u=
i.scm:610:=E2=80=A6> =E2=80=A6)
 =C2=A0=C2=A0=C2=A0 829:9 10 (catch system-error #<procedure 262fe10 at g=
uix/script=E2=80=A6> =E2=80=A6)
In guix/scripts/refresh.scm:
 =C2=A0=C2=A0 449:12=C2=A0 9 (_)
In srfi/srfi-1.scm:
 =C2=A0=C2=A0=C2=A0 640:9=C2=A0 8 (for-each #<procedure 28e3f20 at guix/s=
cripts/refresh.=E2=80=A6> =E2=80=A6)
In guix/scripts/refresh.scm:
 =C2=A0=C2=A0=C2=A0 236:2=C2=A0 7 (check-for-package-update #<package art=
anis@HIDDEN gn=E2=80=A6> =E2=80=A6)
In guix/gnu-maintenance.scm:
 =C2=A0=C2=A0 472:21=C2=A0 6 (latest-gnu-release _)
 =C2=A0=C2=A0 457:16=C2=A0 5 (_)
In ice-9/boot-9.scm:
 =C2=A0=C2=A0=C2=A0 829:9=C2=A0 4 (catch srfi-34 #<procedure 262fdc0 at g=
uix/http-client=E2=80=A6> =E2=80=A6)
In guix/http-client.scm:
 =C2=A0=C2=A0 182:20=C2=A0 3 (_)
 =C2=A0=C2=A0=C2=A0 88:25=C2=A0 2 (http-fetch _ #:port _ #:text? _ #:buff=
ered? _ # _ # _ # =E2=80=A6)
In guix/build/download.scm:
 =C2=A0=C2=A0=C2=A0 398:4=C2=A0 1 (open-connection-for-uri _ #:timeout _ =
# _)
 =C2=A0=C2=A0=C2=A0 296:6=C2=A0 0 (tls-wrap #<closed: file 2641c40> _ # _=
)

guix/build/download.scm:296:6: In procedure tls-wrap:
X.509 certificate of 'ftp.gnu.org' could not be verified:
 =C2=A0 signer-not-found
 =C2=A0 invalid


I suggest we change it to fail nicely. I am willing to create a patch.=20
Would somebody be willing to mentor me?

As a start:

How do I check if nss-certs is installed?

This is the first thing we should do when handling https-URIs

(define tls-wrap is a quite complicated procedure, maybe an extra (if at=20
the body (of the let) will do?

something like

(if package-available? nss-certs

 =C2=A0=C2=A0=C2=A0 true; continue

 =C2=A0=C2=A0=C2=A0 false-> error nicely

--=20
Cheers
Swedebugia





Acknowledgement sent to swedebugia <swedebugia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33272; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 6 Nov 2018 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.